REM Nightly build script for DODS under win32

REM What is the current directory ?  Build Dods there and dump
REM logfile there also.
set batpath=%~p0
set batlog=%batpath%log.txt
set batdods=%batpath%DODS

REM Scratch any pre-existing dods distribution
cd %batpath%
rd /S /Q DODS >%batlog%

REM ------ Configuration necessary here --------------------------------------------
REM CVS configuration, pull cvs source into subdir of where this script is
set HOME=%batpath%
set cvslogin=<username@dodsdev.gso.uri.edu>
REM Blat configuration, modify these to enable email notification of build status on your machine
set smtpserver=<your.smtp.email.server>
set notifyto=<username@your.smtp.email.server>
REM Log into cvs
REM Use the following two line to build for the 1st time by hand.  Then
REM comment them out from that point and run this batch file as a service.
REM cvs -d :pserver:%cvslogin%:/usr/local/cvs-repository login >>%batlog% || goto baterror
REM blat -install %smtpserver% %notifyto%
REM --------------------------------------------------------------------------------

REM As of 6/2003,  The entire distribution comes from the release3-4 branch,
REM except for the matlab toolbox - which comes from the trunk.
echo Checking out the Dods distribution >>%batlog%
cvs -d :pserver:%cvslogin%:/usr/local/cvs-repository co -r release-3-4 DODS >>%batlog%
cvs -d :pserver:%cvslogin%:/usr/local/cvs-repository co DODS/src/clients/ml-toolbox >>%batlog%
cd %batdods% || goto baterror

REM Copy the 'pthread', 'CppUnit' and libxml libraries and Headers into
REM the distribution.
echo Copying the pthreads and CppUnit libraries and headers >>%batlog%
md lib
md include\pthreads
md include\cppunit\extensions
md include\cppunit\ui\mfc
md include\cppunit\ui\qt
md include\cppunit\ui\text
md include\libxml
REM Pthread, CppUnit and libxml libraries are all in C:\dodstools\lib
copy /Y C:\dodstools\lib\*.* lib\ >>%batlog% || goto baterror
copy /Y C:\dodstools\include\pthreads\*.* include\pthreads\ >>%batlog% || goto baterror
copy /Y C:\dodstools\include\cppunit\*.* include\cppunit\ >>%batlog% || goto baterror
copy /Y C:\dodstools\include\cppunit\extensions\*.* include\cppunit\extensions\ >>%batlog% || goto baterror
copy /Y C:\dodstools\include\cppunit\ui\mfc\*.* include\cppunit\ui\mfc\ >>%batlog% || goto baterror
copy /Y C:\dodstools\include\cppunit\ui\qt\*.* include\cppunit\ui\qt\ >>%batlog% || goto baterror
copy /Y C:\dodstools\include\cppunit\ui\text\*.* include\cppunit\ui\text\ >>%batlog% || goto baterror
copy /Y C:\dodstools\include\libxml\*.* include\libxml\ >>%batlog% || goto baterror


echo Building the 3rd-party packages >>%batlog%
cd src\packages\win32Dods >>%batlog% || goto baterror
nmake >>%batlog% || goto baterror
cd %batdods% || goto baterror

echo Building Dods Core >>%batlog%
cd src\dap\win32 >>%batlog% || goto baterror
nmake grammarclean >>%batlog% || goto baterror
nmake >>%batlog% || goto baterror
nmake install >>%batlog% || goto baterror
cd %batdods% || goto baterror

echo Building the netcdf client-side library >>%batlog%
cd src\nc3-dods\win32 >>%batlog% || goto baterror
nmake >>%batlog% || goto baterror
nmake install >>%batlog% || goto baterror
cd %batdods% || goto baterror

echo Building the Matlab command-line client >>%batlog%
cd src\clients\ml-cmdln\win32 >>%batlog% || goto baterror
nmake >>%batlog% || goto baterror
nmake install >>%batlog% || goto baterror
cd %batdods% || goto baterror

echo Building the idl command-line client >>%batlog%
cd src\clients\idl-cmdln\win32 >>%batlog% || goto baterror
nmake >>%batlog% || goto baterror
nmake install >>%batlog% || goto baterror
cd %batdods% || goto baterror

echo Building the matlab toolbox >>%batlog%
cd src\clients\ml-toolbox\win32 >>%batlog% || goto baterror
nmake install >>%batlog% || goto baterror
cd %batdods% || goto baterror

echo SUCCESS building win32 nightly build >>%batlog%
cd %batpath%
echo win32 nightly build succeeded >>%batlog%
blat %batlog% -to %notifyto% -subject "SUCCESS: Win32 Nightly Build Succeeded"
exit

:baterror
cd %batpath%
echo Win32 nightly build failed to complete successfully >>%batlog%
blat %batlog% -to %notifyto% -subject "WARNING: Win32 Nightly Build Failed, log attached"
exit
